#### PyKDE - Python Bindings for KDE

# class KAuthIcon |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | KAuthIcon (abstract)
Inherits | TQWidget

### methods

- KAuthIcon (parent = 0, name = 0)

  returns a KAuthIcon instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget | 0
  name | char | 0

- authChanged (authorized)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  authorized | bool |

- sizeHint ()

  returns (TQSize)

- status () = 0

  returns (bool)
  pure virtual

- updateStatus () = 0

  returns nothing
  pure virtual